Subject: Re: [PATCH] net: Add etun driver

From: Patrick McHardy <[email-masked]>
Date: Tue, 10 Apr 2007 09:52:34 +0200

Johannes Berg wrote:
> Our virtual devices are always associated with a piece of hardware, and
> we really want them to be associated with that at all times, even when
> not UP. Everything else seems like a huge complication if only because
> then we can't have whoever will be responsible for the device allocate
> it's private space area.

Shouldn't be a problem either. Creating the device atomically also
prevents that anything else is setting them UP before they're fully
configured.